Package org.globus.net.protocol.httpg

# Class Handler

java.lang.Object
java.net.URLStreamHandler
org.globus.net.protocol.httpg.Handler

Direct Known Subclasses:
  `Handler`

public class Handler extends URLStreamHandler

## Constructor Summary

Constructors
Constructor
Description
`Handler()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`getDefaultPort()`
`protected URLConnection`
`openConnection(URL u)`
`protected void`
`setURL(URL u, String protocol, String host, int port, String authority, String userInfo, String path, String query, String ref)`

### Methods inherited from class java.net.URLStreamHandler

`equals, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, setURL, toExternalForm`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Handler

public Handler()

## Method Details

### openConnection

protected URLConnection openConnection(URL u)

Specified by:
  `openConnection` in class `URLStreamHandler`

### getDefaultPort

protected int getDefaultPort()

Overrides:
  `getDefaultPort` in class `URLStreamHandler`

### setURL

protected void setURL(URL u, String protocol, String host, int port, String authority, String userInfo, String path, String query, String ref)

Overrides:
  `setURL` in class `URLStreamHandler`